#!/usr/bin/ruby


class StyleChooser < Qt::ComboBox
  slots 'setStyle(const QString&)'
  def initialize(parent)
    super
    insertStringList(Qt::StyleFactory.keys)
    setCurrentText($qApp.style.name)
    STDERR.puts "Nieuwe Chooser: #{self}"
    Qt::Object.connect(self, SIGNAL('activated(const QString&)'), self, SLOT('setStyle(const QString&)'))
  end
  def setStyle(what)
#    what = Qt::StyleFactory.keys[what]
    STDERR.puts(what)
    $qApp.setStyle(what)
  end
end
